#!/usr/bin/fades

"""Word finder for the WoW.

fades:
    python-telegram-bot==12.0.0b1
"""

from telegram.ext import Updater, CommandHandler
import pals

HELP = (
    "Usá el comando `buscar` y envia la restricción de la palabra y las letras disponibles; "
    "ej: `/buscar zo..o rrozo`")


def hello(update, context):
    help_text = 'Hola {}. {}'.format(update.message.from_user.first_name, HELP)
    update.message.reply_text(help_text)


def search(update, context):
    try:
        cmd, restric, chars = update.message.text.split()
    except ValueError:
        update.message.reply_text(HELP)
        return

    words = pals.find(restric.lower(), chars.lower())
    update.message.reply_text(" ".join(words))


updater = Updater('884773571:AAGCJdV1ni2qNPvcjEmAh7dm2-gODoDVyqk', use_context=True)
updater.dispatcher.add_handler(CommandHandler('start', hello))
updater.dispatcher.add_handler(CommandHandler('help', hello))
updater.dispatcher.add_handler(CommandHandler('ayuda', hello))
updater.dispatcher.add_handler(CommandHandler('buscar', search))

updater.start_polling()
updater.idle()
